gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gnunet] branch master updated: add check for certutil and openssl


From: gnunet
Subject: [gnunet] branch master updated: add check for certutil and openssl
Date: Sun, 03 Mar 2024 10:31:21 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository gnunet.

The following commit(s) were added to refs/heads/master by this push:
     new 7c83dbeee add check for certutil and openssl
7c83dbeee is described below

commit 7c83dbeee30c8566b689edc1dc01a5773d487b9a
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Sun Mar 3 10:31:17 2024 +0100

    add check for certutil and openssl
---
 src/service/gns/test_proxy.sh | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/src/service/gns/test_proxy.sh b/src/service/gns/test_proxy.sh
index bb63a436e..aa59504ee 100755
--- a/src/service/gns/test_proxy.sh
+++ b/src/service/gns/test_proxy.sh
@@ -1,5 +1,18 @@
 #!/bin/bash
 # This file is in the public domain.
+
+if ! which certutil > /dev/null
+then
+    echo "certutil required"
+    exit 77
+fi
+
+if ! which openssl > /dev/null
+then
+    echo "certutil required"
+    exit 77
+fi
+
 TEST_DOMAIN="www.test"
 GNUNET_TMP="$(gnunet-config -f -s PATHS -o GNUNET_TMP)"
 PROXY_CACERT="$(gnunet-config -f -c test_gns_proxy.conf -s gns-proxy -o 
PROXY_CACERT)"

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]